ReportsGet a dashboard

Get a dashboard

Needs: Reports, Read

Returns one dashboard: its settings and cards (insight or text, size and position on the 36-column grid), with each insight's results when the server can calculate them.

curl -X GET "https://app.imploy.com.au/api/integrations/v1/reports/dashboards/123?include_results=true" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "id": 6,
  "name": "Weekly ops",
  "settings": {
    "spacing": "comfortable"
  },
  "cards": [
    "..."
  ]
}
GET
/reports/dashboards/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
idinteger
Required

The dashboard id.

query
include_resultsboolean

Each insight card's results, up to 10 rows. Defaults to true.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The dashboard id.

Query Parameters

include_resultsboolean

Each insight card's results, up to 10 rows. Defaults to true.

Responses

OK